ログイン

HTTP API

モニタリングツールを経由せずイベントを送信したい場合は Waroom のエンドポイントにイベント情報を直接送信することができます。

1. Integration Key をコピー

追加した Auto-Trigger Integration の項目に Key が表示されているのでそれをコピーしてください。

Integration Key

2. Waroom へデータを送信する

以下のように https://api.app.waroom.com/v1/events に向けてイベント情報を送信します。この時、Authorization ヘッダーに前の手順でコピーした Integration Key を必ず設定してください。

curl --location --request POST 'https://api.app.waroom.com/v1/events' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {{ Integration Key }}' \
--data-raw '{
    "event": {
        "title": "Test Alert",
        "description": "Test notification triggered",
        "aggregation_key": "test_aggregation_key_1",
        "severity": "info",
        "status": "detected",
        "with_slack_channel": false
    }
}'

3. Body

送信するイベント情報は以下を参考に入力してください。

  • event
    • title: string - インシデントのタイトル
    • description: string - インシデントの詳細
    • aggregation_key: string - 同一の aggregation_key を持つイベントは同じインシデントのイベントとしてまとめられます
    • severity: "info" | "low" | "high" | "critical" - インシデントの重大度を設定します
    • status: "detected" | "investigating" | "fixing" | "resolved" | "close" - このイベントを元に作成するインシデントのステータスを設定します
    • with_slack_channel: false | true - Slack チャンネルを作成するかどうか。デフォルトでは false になります。

4. Response

{
  "id": 2405,
  "title": "Test Alert",
  "description": "Test notification triggered",
  "service_id": 69,
  "incident_id": 919,
  "uuid": "fbe45e25-3564-4e87-bbe1-18c2d7513cef",
  "author_id": 1,
  "created_at": "2025-03-18T07:14:34.000Z",
  "updated_at": "2025-03-18T07:14:34.000Z",
  "custom_properties": [],
  "incident": {
    "uuid": "5ff9f782-5b05-4b1e-96aa-912f006afewi",
    "author": "http_api"
  }
}